Package Manager 'locked'. (SOLVED)

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
User avatar
leadwtZ
Level 3
Level 3
Posts: 130
Joined: Fri Aug 29, 2014 1:42 pm
Location: Universe

Package Manager 'locked'. (SOLVED)

Post by leadwtZ » Thu Oct 19, 2017 8:45 am

Hello,

EDIT 20/10 Since starting this thread I have looked at/tried various options using 'dpkg' with no success probably because I have got the syntax wrong.
This image http://imagizer.imageshack.us/v2/640x48 ... 7UWp09.png will help - I hope!


My Update Manager has four items to install one of which is virtualbox-ext-pack version 5.1.30-2. This has arrived via the PPA costamagnagianfranco-virtualbox-ppa (launchpad.net) link.

When starting the update I get the response from the Update Manager as shown here: https://imageshack.com/i/pnw5Zgd7p

Running the suggested solution starts OK and runs through the License Agreement but then sticks at the end of item 10 (Miscellaneous) of said Agreement. From this point on the system does nothing.

I did try to downgrade foreign packages to see if I could re-install the whole lot but the same error comes up regardless. I have also unselected this upgrade but get the same error.

Any ideas please?

Running Linux MInt 18.2 'Sonya' Mate 1.18.
Last edited by leadwtZ on Fri Oct 20, 2017 4:43 pm, edited 2 times in total.
Celeron CPU G1610@2.60GHz x 2
GeForce 8400 GS/PCle/SSE2
Linux MInt 18.3 'Sylvia' Mate 1.18
Reg. Linux user: 467766 Claws-Mail & Pale Moon user.

User avatar
Pjotr
Level 20
Level 20
Posts: 11064
Joined: Mon Mar 07, 2011 10:18 am
Location: The Netherlands (Holland)
Contact:

Re: 'Update' is 'locked'.

Post by Pjotr » Thu Oct 19, 2017 8:48 am

Re-run dpkg and try to activate any OK button in the terminal by means of the Tab key. Then press Enter.

You have to find a way of accepting that license in the terminal. That's the key to the solution. If there is no OK button to activate, try hitting the Q key and then Enter.
Tip: 10 things to do after installing Linux Mint 19 Tara
Keep your Linux Mint healthy: Avoid these 10 fatal mistakes
Twitter: twitter.com/easylinuxtips
All in all, horse sense simply makes sense.

User avatar
pbear
Level 5
Level 5
Posts: 599
Joined: Wed Jun 21, 2017 12:25 pm
Location: San Francisco

Re: 'Update' is 'locked'.

Post by pbear » Thu Oct 19, 2017 11:11 am

FYI, the latest version of VBox is 5.2, so maybe the better answer would be to upgrade.
Time flies like an arrow. Fruit flies like a banana.
Running Mate 18.3 64 bit (by upgrade from 18.1-2)

User avatar
leadwtZ
Level 3
Level 3
Posts: 130
Joined: Fri Aug 29, 2014 1:42 pm
Location: Universe

Re: 'Update' is 'locked'.

Post by leadwtZ » Thu Oct 19, 2017 1:09 pm

Pjotr - thanks. Tried numerous combinations, gone thru entire keyboard no luck. I'll give their forum a buzz I reckon.

pbear arh yes but that does not solve the issue as it is the process that is locked.

I shall return.
Celeron CPU G1610@2.60GHz x 2
GeForce 8400 GS/PCle/SSE2
Linux MInt 18.3 'Sylvia' Mate 1.18
Reg. Linux user: 467766 Claws-Mail & Pale Moon user.

User avatar
pbear
Level 5
Level 5
Posts: 599
Joined: Wed Jun 21, 2017 12:25 pm
Location: San Francisco

Re: 'Update' is 'locked'.

Post by pbear » Thu Oct 19, 2017 10:39 pm

I've not had a problem like this, but if I did what I'd do is purge the old version then install 5.2. See, e.g., here, here and here. Note you want to export, move or copy your VMs first. Also, I suspect you'll have to reboot before you start to let Synaptic have complete control of packages.

Again, though, I've not done this, so if someone comes along with a better idea, take it!
Time flies like an arrow. Fruit flies like a banana.
Running Mate 18.3 64 bit (by upgrade from 18.1-2)

User avatar
leadwtZ
Level 3
Level 3
Posts: 130
Joined: Fri Aug 29, 2014 1:42 pm
Location: Universe

Re: 'Update' is 'locked'.

Post by leadwtZ » Fri Oct 20, 2017 5:58 am

pbear I am glad that you have not had this problem because it is a pain.

Anyway just to clarify: no commands either via terminal or Synaptic or Update Manager work. 'Purge' 'Downgrade Foreign Packages' etc all result in the same error.

I think I will have to find the file/package on the system and remove it using 'delete'.

Thanks.
Celeron CPU G1610@2.60GHz x 2
GeForce 8400 GS/PCle/SSE2
Linux MInt 18.3 'Sylvia' Mate 1.18
Reg. Linux user: 467766 Claws-Mail & Pale Moon user.

User avatar
pbear
Level 5
Level 5
Posts: 599
Joined: Wed Jun 21, 2017 12:25 pm
Location: San Francisco

Re: 'Update' is 'locked'.

Post by pbear » Fri Oct 20, 2017 12:19 pm

First thing I would do is revise the thread title. Something like: Package manager won't open. You'll get more and better responses.

Second, pretty sure your problem isn't packages but rather the repositories list. Manually deleting packages is just gonna make this messier.

Third, to confirm. You did a complete shutdown, right? If apt is hung, it'll probably take that to release it.

Good luck.
Time flies like an arrow. Fruit flies like a banana.
Running Mate 18.3 64 bit (by upgrade from 18.1-2)

User avatar
leadwtZ
Level 3
Level 3
Posts: 130
Joined: Fri Aug 29, 2014 1:42 pm
Location: Universe

Re: Package Manager 'locked'.

Post by leadwtZ » Fri Oct 20, 2017 12:49 pm

Thanks pbear.

Yes numerous re-boots since this started and I have amended the title. Also added another image which shows the package situation with regard to VB.
Celeron CPU G1610@2.60GHz x 2
GeForce 8400 GS/PCle/SSE2
Linux MInt 18.3 'Sylvia' Mate 1.18
Reg. Linux user: 467766 Claws-Mail & Pale Moon user.

User avatar
administrollaattori
Level 15
Level 15
Posts: 5667
Joined: Tue Sep 03, 2013 4:51 am
Location: Finland
Contact:

Re: Package Manager 'locked'.

Post by administrollaattori » Fri Oct 20, 2017 2:42 pm

Manually remove a broken package -> viewtopic.php?f=42&t=245428&p=1314762#p1314762

Code: Select all

sudo mv /var/lib/dpkg/info/packet_name_here.* /tmp/
sudo dpkg --remove --force-remove-reinstreq packet_name_here
sudo apt-get update

User avatar
leadwtZ
Level 3
Level 3
Posts: 130
Joined: Fri Aug 29, 2014 1:42 pm
Location: Universe

Re: Package Manager 'locked'. (SOLVED)

Post by leadwtZ » Fri Oct 20, 2017 4:45 pm

administrollaattori that worked like a charm. :D

Thanks very much.
Celeron CPU G1610@2.60GHz x 2
GeForce 8400 GS/PCle/SSE2
Linux MInt 18.3 'Sylvia' Mate 1.18
Reg. Linux user: 467766 Claws-Mail & Pale Moon user.

User avatar
pbear
Level 5
Level 5
Posts: 599
Joined: Wed Jun 21, 2017 12:25 pm
Location: San Francisco

Re: Package Manager 'locked'. (SOLVED)

Post by pbear » Fri Oct 20, 2017 9:56 pm

Now that you're out of the quicksand, I'll ask the question I was too polite to ask before. How did you end up with that ppa in the first place? I have VBox on two Mint machines, the repo version on one and the current version on the other. For the latter, updates come from virtualbox.org. Up to you, of course, but ISTM you'd be better off purging the old version (now that you can) and downloading direct from Oracle.
Time flies like an arrow. Fruit flies like a banana.
Running Mate 18.3 64 bit (by upgrade from 18.1-2)

User avatar
leadwtZ
Level 3
Level 3
Posts: 130
Joined: Fri Aug 29, 2014 1:42 pm
Location: Universe

Re: Package Manager 'locked'. (SOLVED)

Post by leadwtZ » Sat Oct 21, 2017 6:21 am

I originally used the defualt VB from the standard repos but as it was an old version I upgraded to the then latest via PPA costamagnagianfranco-virtualbox-ppa (launchpad.net) which has been in place ever since.

I have now removed that and downgraded my 'foreign' packages to the 'old' 5.04.

It is all running OK so I will leave it at that.

Perhaps a lot to be said for not introducing 'unsupported' software.

I manged to wash all the quicksand off while walking the dogs in the rain this morning so a good start to the day. :wink:
Celeron CPU G1610@2.60GHz x 2
GeForce 8400 GS/PCle/SSE2
Linux MInt 18.3 'Sylvia' Mate 1.18
Reg. Linux user: 467766 Claws-Mail & Pale Moon user.

User avatar
pbear
Level 5
Level 5
Posts: 599
Joined: Wed Jun 21, 2017 12:25 pm
Location: San Francisco

Re: Package Manager 'locked'. (SOLVED)

Post by pbear » Sat Oct 21, 2017 10:55 am

Not necessarily a bad strategy - as mentioned, I'm running the repo version on one of my machines - but do understand it's out of support and no longer receiving security updates. Notably, until recently, Oracle was showing the 5.0.40 extension pack on the main download page but it's no longer there. This suggests they consider it too far out of date. For this reason, I'm planning to upgrade that machine soon (not in a rush because I don't take VMs online). Meanwhile, as regards your disaster, getting direct updates from Oracle should avoid whatever glitch happened here.
Time flies like an arrow. Fruit flies like a banana.
Running Mate 18.3 64 bit (by upgrade from 18.1-2)

Post Reply

Return to “Software & Applications”